# SWDB

# \Guild

Guild.

Represents an object from the table 'guild'.

## Summary

Methods
Properties
Constants
__construct()
$db
$id
$name
$level
$experience
$recruiting
$total_members
$leader
$comment
$notice
$members
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  application/entity/Guild.php
Package
  Default
Class hierarchy
  \Entity
  \Guild

## Tags

category | Entity

## Properties

### $db

    $db : resource

#### Type

resource — Database connection.

#

Inherited from
  \Entity

## Tags

None found

### $id

    $id : integer

#### Type

integer — @var int Guild identifier.

#

## Tags

None found

### $name

    $name : integer

#### Type

integer — @var string Guild name.

#

## Tags

None found

### $level

    $level : integer

#### Type

integer — @var int Guild level.

#

## Tags

None found

### $experience

    $experience : integer

#### Type

integer — Guild total experience.

#

## Tags

None found

### $recruiting

    $recruiting : boolean

#### Type

boolean — Indicates if the guild is ecruiting.

#

## Tags

None found

### $total_members

    $total_members : integer

#### Type

integer — Number of members.

#

## Tags

None found

### $leader

    $leader : \GUild_Member

#### Type

\GUild_Member — Guild Leader.

#

## Tags

None found

### $comment

    $comment : string

#### Type

string — Guild comment.

#

## Tags

None found

### $notice

    $notice : string

#### Type

string — Guild notice.

#

## Tags

None found

### $members

    $members : array<mixed,\Guild_Member>

#### Type

array<mixed,\Guild_Member> — List of {@see Guild_Member}s.

#

## Tags

None found

## Methods

### __construct()

    __construct(resource  $db, integer  $id)

Constructor.

Searches the database and retrieves the information about the guild, populating it and it's items.

#### Parameters

resource | $db | Connection to the database.
integer | $id | Guild identifier.

#

## Tags

None found

### Guild.php